Main Page | Data Structures | Directories | File List | Data Fields | Globals

# ffs_dent.c File Reference

## Detailed Description

UFS/FFS file name (directory entry) processing / walking functions.

`#include <ctype.h>`
`#include "fs_tools_i.h"`
`#include "ffs.h"`

## Defines
#define | MAX_DEPTH 128
#define | DIR_STRSZ 4096
## Functions
uint8_t | ffs_dent_walk (TSK_FS_INFO *fs, INUM_T inode, TSK_FS_DENT_FLAG_ENUM flags, TSK_FS_DENT_TYPE_WALK_CB action, void *ptr)